# SPDX-License-Identifier: CC-BY-NC-ND-4.0
# SPDX-FileCopyrightText: 2021, Vieno Hakkerinen <vieno@hakkerinen.eu>
---
- name: change hostname
  hostname:
    name: "{{ inventory_hostname }}"
    use: systemd
- name: change etc-hosts
  replace:
    path: /etc/hosts
    regexp: raspberrypi
    replace: "{{ inventory_hostname }}"
- name: add sudo enabled users
  user:
    name: "{{ item.username }}"
    comment: "{{ item.publicname }}"
    shell: /bin/bash
    groups: sudo
    append: yes
    password: "{{ item.password }}"
  loop:
    - {username: 'txt', publicname: 'Vieno Hakkerinen', password: ''}
- name: remove default user pi
  user:
    force: yes
    name: pi
    remove: yes
    state: absent
- name: add background user
  user:
    name: chch
    comment: 'ChaosChemnitz background user'
    shell: /bin/bash
- name: add SSH keys
  authorized_key:
    user: "{{ item.name }}"
    state: present
    key: "{{ item.key }}"
  loop:
    # yamllint disable-line rule:line-length
    - {name: 'txt', key: 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOE1PeQEbZSLbuFN7+KXD/wvywz0puI8953vqVEqhKN+ txtsurface_OpenSSH_created_2020-12-26'}
- name: autologin chch
  template:
    src: autologin@.service
    dest: /etc/systemd/system/getty@tty1.service.d/autologin.conf
    owner: root
    group: root
    mode: '0644'
- name: reboot
  reboot:
    reboot_timeout: 1
  ignore_errors: yes
